Jump to content


Transferring presets from 1.301 to 2.0.5.11


  • Please log in to reply
2 replies to this topic

#1 William Mortensen

William Mortensen
  • Members
  • 2 posts

Posted 11 February 2007 - 06:42 PM

Hi there,

We got some replacement IT4000s this week and we need to load our presets onto them. Our existing amps have firmware 1.301 on them, while the new ones came with firmware 2.0.5.11. Although we could have flashed them back to 1.301, we had an amp start acting funny the last time we did that (I think we didn't power-cycle it at the right point in the flashing process, but we're still reluctant to try that again), and so we decided to upgrade from IQwic 7.20 to 8.10, which went fine. Now, IQwic won't allow us to load our existing preset files (I think the file extension is .PIQ) into these new amps because the versions aren't the same.

We don't have any dataframes or control frames or whatever set up in IQwic because we only want to use it to create presets and load them onto the amps.

Does Crown expect its users to re-create their presets every time there's a firmware upgrade, or is there a way around this?

Another problem: We then installed System Architect 1.30 to see if it was somehow any easier to use for creating our presets. It wouldn't talk to the I-Tech we tested it with until we let it upgrade the firmware to 2.0.6. After playing with SA we decided that it wasn't any easier than IQwic and slower at that. But now when we go back to IQwic it won't talk to the amp because it doesn't have an OIF file for that firmware version. TCP/IQ Utility won't talk to it either, for the same reason. I looked through the folders where System Architect lives and I didn't see any OIF files for the I-Tech, although I could have been missing them. How do we flash back to 2.0.5.11? I feel like we must've been able to do this before when we flashed amps from 2.0.x to 1.301, but that was a while ago and now I can't figure it out.

Thanks in advance!

#2 DGlass

DGlass

    .

  • Members
  • PipPipPipPipPip
  • 2,541 posts

Posted 12 February 2007 - 01:30 PM

The 1.301 firmware for the ITechs was the last of the IQ only firmware. The 2.xxx firmware(s) are System Architect firmware. As a transition into the Harman Pro “System Architect” software IQwic support the 2.xxx firmware but as a different device. The memory allocations and layout of the signal flow are different and have been changed to meet the System Architect specifications. Because of this you cannot use Dataframe files made for devices using 1.xxx firmware with devices having 2.xxx firmware as the commands and memory do not line up.

On the Crown Forum’s “ Crown firmware for System Architect” it states:

*“If you are not going to be using other System Architect devices, it is not necessary to upgrade”.

* DSP Filters are optimized and pre-allocated for specific use (e.g. input eq, speaker processing, etc.)

*Cannot import Dataframes or Preset Files from existing IQwic files

When installing an Itech with 2.xxx firmware you will need to either backgrade the amp to run with your Dataframe file firmware version or leave the device alone, upgrade the component in your Dataframe file by deleting the original device and using Add Ne Component to add the device with the updated firmware and reenter the data.

Iqwic has not been updated for quite a while and so it doesn’t have the .oif file needed to identify the latest System Architect firmware. PM me with the fimware currently installed in the ITech and a direct Email address and I will Email you the .oif file.

At start up System Architect will identify if any devices have updated firmware available (that it has in it’s firmware file) and notify you. If you say no to the update SA will still run with the older 2.xxx version of firmware bypassing the upgrade. SA will not however bring up, into it’s Venue View, any IQwic 1.xxx firmware as it doesn’t recognize it or know what to do with it.

#3 William Mortensen

William Mortensen
  • Members
  • 2 posts

Posted 12 February 2007 - 10:36 PM

QUOTE(DGlass @ Feb 12 2007, 11:30 AM)
The 1.301 firmware for the ITechs was the last of the IQ only firmware. The 2.xxx firmware(s) are System Architect firmware. As a transition into the Harman Pro “System Architect” software IQwic support the 2.xxx firmware but as a different device. The memory allocations and layout of the signal flow are different and have been changed to meet the System Architect specifications. Because of this you cannot use Dataframe files made for devices using 1.xxx firmware with devices having 2.xxx firmware as the commands and memory do not line up.

On the Crown Forum’s “ Crown firmware for System Architect” it states:

*“If you are not going to be using other System Architect devices, it is not necessary to upgrade”.

* DSP Filters are optimized and pre-allocated for specific use (e.g. input eq, speaker processing, etc.)

*Cannot import Dataframes or Preset Files from existing IQwic files

When installing an Itech with 2.xxx firmware you will need to either backgrade the amp to run with your Dataframe file firmware version or leave the device alone, upgrade the component in your Dataframe file by deleting the original device and using Add Ne Component to add the device with the updated firmware and reenter the data.

Iqwic has not been updated for quite a while and so it doesn’t have the .oif file needed to identify the latest System Architect firmware. PM me with the fimware currently installed in the ITech and a direct Email address and I will Email you the .oif file.

At start up System Architect will identify if any devices have updated firmware available (that it has in it’s firmware file) and notify you. If you say no to the update SA will still run with the older 2.xxx version of firmware bypassing the upgrade. SA will not however bring up, into it’s Venue View, any IQwic 1.xxx firmware as it doesn’t recognize it or know what to do with it.
View Post


OK, thank you David. Sounds like we'll need to flash them back to 1.301. I was hoping to avoid that but I guess if we'd otherwise have to re-create our presets that's the best option. I'll PM you shortly.